﻿<div class="loan">
<div class="box-title">住宅ローンシュミレーション【元利均等】</div>
<div class="contents">
<p>ご希望の借入金額や返済期間から、毎月の返済額を計算します。返済額がどのように変わるのかシミュレーションしてみましょう。</p>
<form method="post" target="_top" name="loan">
<div class="koumoku_box"><span class="koumoku">借入金額</span><span class="koumoku_value"><input type="number" name="pv" id="pv" value="4000" size="10" min="1">万円</span></div>
<div class="koumoku_box"><span class="koumoku">融資金利</span><span class="koumoku_value"><input type="number" name="ir" id="ir" value="0.625" size="10" min="0.3">%</span></div>
<div class="koumoku_box"><span class="koumoku">返済期間（月数）</span><span class="koumoku_value"><input type="number" name="np" id="np" value="420" size="10" min="1" max="420">ヶ月</span></div>
</tr>
</table>
<button type="button" class="loan-button" onclick="a.value = PMT ();">計算する</button>
<div class="koumoku_box"><span class="koumoku">返済月額</span><span class="koumoku_value red"><input name="a" class="red" value="（計算結果）" readonly>円</span></div>
</div>
</div>
</form>
<script>
function PMT() {
var pv = parseFloat(document.loan.pv.value);
var ir = parseFloat(document.loan.ir.value);
var np = parseFloat(document.loan.np.value);
   return Math.floor((pv *10000 * (ir / 100 / 12) * (Math.pow(1 + (ir / 100 / 12), np))) / (Math.pow(1 + (ir / 100 / 12), np) -1)).toLocaleString();
}
</script>
<style>
.loan .koumoku_box{ border-bottom:solid 1px; position:relative; height:50px; max-width:400px; margin:auto; margin-top:20px;}
.loan .koumoku{ background:white; position:absolute; bottom:5px; border-radius:10px; padding:5px 10px; border:solid 1px;}
.loan .koumoku_value{position:absolute; right:0; bottom:5px; text-align:right;}
.loan .koumoku_box input{ border:none; background:white; text-align:right; background:none; font-size:20px; max-width:70%;}
.red{ color:red; }
.loan {
    margin: 2em 0;
    background: #fff8e8;
	margin-bottom:50px;
	position:relative;
}
.loan .box-title {
    font-size: 1.2em;
    background: #ffc06e;
    padding: 4px;
    text-align: center;
    color: #FFF;
    font-weight: bold;
    letter-spacing: 0.05em;
}
.loan .contents{
	padding:10px;
}
.loan p {
    padding: 15px 20px;
    margin: 0;
}
.loan-button {
    text-align: center;
    text-decoration: none!important;
    padding: .5em 1em;
    color: #fff;
    display: block;
    font-size: 1.2em;
    line-height: 1.5em;
    background-color: #09c;
    background-image: -webkit-linear-gradient(#009fd4,#09c,#0086b2);
    background-image: -moz-linear-gradient(#009fd4,#09c,#0086b2);
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    text-shadow: 0 -1px 0 rgba(0,0,0,.5);
    box-shadow: 0 2px 4px rgba(0,0,0,.3), inset 0 1px 0 rgba(255,255,255,.4);
    border: 1px solid #0086b2;
    cursor: pointer;
    margin:auto;
    margin-top:30px;
}
</style>